## scenic 0.6.3

=== debian/changelog ===
scenic (0.6.3-1ubuntu3) oneiric; urgency=low

  * Use --with-boost-libdir=/usr/lib to fix FTBFS (LP: #852540).

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 25 Sep 2011 17:41:45 +0900

scenic (0.6.3-1ubuntu2) oneiric; urgency=low

  * Make v4lsrc optional; it's gone, and v4l2src will do (LP: #756010).
  * Drop -pedantic -Wfatal-errors -Werror; the <gst/gstmessage.h> header
    fails -pedantic, and we also run into deprecations in libjack.
  * Fix link order to list libraries after other libraries that depend on
    them.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2011 12:27:01 +0100

scenic (0.6.3-1ubuntu1) natty; urgency=low

  * link against -lraw1394 to fix FTBFS 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 07 Nov 2010 14:45:32 +0530

scenic (0.6.3-1) unstable; urgency=low

  [ Alexandre Quessy ]
  * Initial packaging.
    Closes: bug#584164.

  [ Jonas Smedegaard ]
  * Tidy packaging routines.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Sep 2010 02:35:54 +0200
