=== debian/control ===
Source: scenic
Section: net
Priority: optional
Vcs-Git: git://git.debian.org/pkg-multimedia/scenic.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/scenic.git;a=summary
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Quessy <alexandre@quessy.net>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 gnulib,
 debhelper (>= 6),
 python-support,
 cdbs (>= 0.4.75~),
 python-dev (>= 2.3.5-7),
 automake,
 bison,
 doxygen,
 ffmpeg,
 flex,
 gettext,
 gnome-doc-utils,
 gstreamer0.10-alsa,
 gstreamer0.10-ffmpeg,
 gstreamer0.10-plugins-bad,
 gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good,
 gstreamer0.10-plugins-ugly (>= 0.10.14),
 gstreamer0.10-pulseaudio,
 gstreamer0.10-x,
 help2man,
 libasound2-dev,
 libavc1394-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-program-options-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libbz2-dev,
 libdc1394-22-dev,
 libdv4-dev,
 libglew1.5-dev,
 libglu1-mesa-dev,
 libgstreamer-plugins-base0.10-dev,
 libgstreamer0.10-dev (>= 0.10.23),
 libgtk2.0-dev,
 libid3tag0-dev,
 libiec61883-dev,
 libjack-dev,
 libmad0-dev,
 liboil0.3-dev,
 libpulse-dev,
 libraw1394-dev,
 libtheora-dev,
 libtool,
 libvorbis-dev,
 libxml2-dev,
 libxv-dev,
 python (>= 2.4),
 python-epydoc,
 python-gst0.10 (>= 0.10.17),
 python-gtk2,
 python-simplejson | python (>= 2.6),
 python-twisted-core
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Homepage: http://scenic.sat.qc.ca/

Package: scenic
Architecture: all
Depends:
 ${misc:Depends},
 gettext,
 gnome-doc-utils,
 jackd,
 python (>= 2.4),
 python-gst0.10 (>= 0.10.17),
 python-gtk2,
 python-simplejson | python (>= 2.6),
 python-twisted-core,
 x11-utils,
 yelp, 
 scenic-utils, 
 scenic-doc, 
 midistream
Recommends:
 qjackctl
Description: telepresence software for live performances and installations
 Scenic is a free software suite for streaming audio, video and MIDI
 between live events. It was created at the Society for Arts and
 Technology (SAT) to give artists a powerful tool for telepresence
 in live arts contexts and new media installations.
 .
 The streaming is done over RTP with the GStreamer multimedia
 framework.  Users can choose either low-bandwidth or high-quality
 codecs, depending on what is available on their system. It offers
 up to as many audio channels as your audio device supports.
 .
 This package contains the Scenic desktop application.
 .
 For MIDI streaming support, one should install either the python-pygame
 package with version greater than or equal to 1.9.1release, or the
 python-portmidi package. If none of them is installed, all the
 widgets in the MIDI tab of the Scenic application will be disabled,
 and the midistream utility will not work at all.

Package: scenic-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 yelp
Description: documentation for the Scenic telepresence tools
 Scenic is a free software suite for streaming audio, video and MIDI
 between live events. It was created at the Society for Arts and
 Technology (SAT) to give artists a powerful tool for telepresence
 in live arts contexts and new media installations.
 .
 This package contains the documentation in the Docbook format.

Package: scenic-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ffmpeg,
 gstreamer0.10-alsa,
 gstreamer0.10-ffmpeg,
 gstreamer0.10-plugins-bad,
 gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good,
 gstreamer0.10-plugins-ugly (>= 0.10.14),
 gstreamer0.10-pulseaudio,
 gstreamer0.10-x
Recommends:
 bash-completion,
 gstreamer0.10-tools
Description: telepresence tools for live performances and installations
 Scenic is a free software suite for streaming audio, video and MIDI
 between live events. It was created at the Society for Arts and
 Technology (SAT) to give artists a powerful tool for telepresence
 in live arts contexts and new media installations.
 .
 This package contains several command-line utilities:
  * milhouse: Streams audio and video with GStreamer over RTP
  * dc-ctl: Controls connected DC IEEE 1394 cameras
  * firereset: Resets a IEEE 1394 bus to help in case of problems
  * jack-info: Prints information about running JACK servers

Package: midistream
Architecture: all
Depends:
 ${misc:Depends},
 python (>= 2.4),
 python-twisted-core
Suggests: python-pygame (>= 1.9.1) | python-portmidi,
Description: streams MIDI notes and controls over RTP
 Scenic is a free software suite for streaming audio, video and MIDI
 between live events. It was created at the Society for Arts and
 Technology (SAT) to give artists a powerful tool for telepresence
 in live arts contexts and new media installations.
 .
 This package contains the midistream utility, which streams MIDI
 notes and controls over RTP.
 .
 For MIDI streaming support, one should install either the python-pygame
 package with version greater than or equal to 1.9.1release, or the
 python-portmidi package. If none of them is installed, the
 midistream utility will not work at all.
