=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-lraw1394

DEB_BUILDDIR = build
DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_MODULE_PACKAGES = scenic midistream

DEB_CONFIGURE_EXTRA_FLAGS := --enable-mt --with-boost-libdir=/usr/lib

# Suppress generating shlibs file for non-public shared libraries
DEB_DH_MAKESHLIBS_ARGS_scenic-utils = -X/usr/lib

# include debhelper before python-autotools to use dh_pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-autotools.mk

# Unit tests are disabled for now, since it's Python path is broken when they are ran.
#DEB_MAKE_CHECK_TARGET = check 

# Regenerate Python-dependent manpages
# TODO: Fix do it in upstream code, and drop patch 2001
binary-install/scenic::
	PYTHONPATH="$(wildcard $(cdbs_curdestdir)/usr/lib/python$(cdbs_python_primary_version)/*-packages)" help2man --include=$(DEB_SRCDIR)/man/scenic-man.txt --name="Telepresence application for live performance and installations" --no-info $(cdbs_curdestdir)/usr/bin/scenic -o $(cdbs_curdestdir)/usr/share/man/man1/scenic.1
binary-install/midistream::
	PYTHONPATH="$(wildcard $(cdbs_curdestdir)/usr/lib/python$(cdbs_python_primary_version)/*-packages)" help2man --include=$(DEB_SRCDIR)/man/midistream-man.txt --name="Streams MIDI notes and controls over RTP" --no-info $(cdbs_curdestdir)/usr/bin/midistream -o $(cdbs_curdestdir)/usr/share/man/man1/midistream.1

# Ensure proper hash-bang in Python script (Python Policy 0.9 §3.1)
binary-install/scenic binary-install/midistream::
	egrep -r -l -Z '^#! ?/usr/bin/(env )?python[[:print:]]*$$' debian/$(cdbs_curpkg)/usr/bin/* \
		| xargs -r -0 perl -pi -e 's,^#! ?/usr/bin/(env )?python[[:print:]]*$$,#!/usr/bin/python$(cdbs_python_nondefault_version),'

# cleanup after upstream
# cleanup stamp targets
clean::
	-$(RM) -r $(DEB_BUILDDIR)
