=== debian/watch ===
version=3
http://scenic.sat.qc.ca/download/scenic-(.*)\.tar\.gz
